Pogodoc
API Reference

Get User Templates

Fetches all templates belonging to the authenticated user. Optionally filter by category.

GET
/templates
AuthorizationBearer <token>

In: header

Query Parameters

category?string
Value in"favorite" | "other" | "advertisement" | "packaging" | "catalog" | "menu" | "poster" | "warranty" | "brochure" | "statement" | "certificate" | "contract" | "order" | "receipt" | "cv" | "report" | "mail" | "invoice"
search?string

Search by title or description

type?string
Value in"framework" | "latex" | "html" | "ejs" | "pptx" | "xlsx" | "docx"
sort?string
Value in"title:desc" | "title:asc" | "updatedAt:asc" | "updatedAt:desc" | "createdAt:asc" | "createdAt:desc"

Response Body

application/json

curl -X GET "https://api.pogodoc.com/v1/templates"
{
  "templates": [
    {
      "uuid": "string",
      "title": "string",
      "description": "string"
    }
  ]
}